#
# spec file for package python-tomlkit
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without python2
Name:           python-tomlkit
Version:        0.5.11
Release:        bp155.2.12
Summary:        Style preserving TOML library
License:        MIT
URL:            https://github.com/sdispater/tomlkit
Source:         https://files.pythonhosted.org/packages/source/t/tomlkit/tomlkit-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module typing >= 3.6}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%if %{with python2}
BuildRequires:  python-enum34
BuildRequires:  python-functools32
%endif
%ifpython2
Requires:       python-enum34
Requires:       python-functools32
%endif
%if %{python_version_nodots} < 35
Requires:       python-typing >= 3.6
%endif
%python_subpackages

%description
Style preserving TOML library

%prep
%setup -q -n tomlkit-%{version}

%build
%python_build

%install
%python_install
%python_expand rm -r %{buildroot}%{$python_sitelib}/tests/
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Mar 12 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Wed Mar 11 2020 pgajdos@suse.com
- version update to 0.5.11
  * Fix containers and our of order tables dictionary behavior (#82))
  * Fixed out of order tables not behaving properly (#79)
  * Fixed the behavior for out of order tables (#68).
  * Fixed parsing errors when single quotes are present in a table name (#71).
  * Fixed parsing errors when parsing some table names (#76).
* Thu Nov 28 2019 Matej Cepl <mcepl@suse.com>
- Update to 0.5.8:
  - Added support for producing multiline arrays
* Tue Oct  8 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.5.7:
  * Fixed handling of inline tables.
  * Fixed boolean comparison.
  * Fixed appending inline tables to tables.
* Mon Jul 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.5.5:
  * Fixed display of inline tables after element deletion.
  * Fixed the handling of inline tables.
  * Fixed date, datetime and time handling on Python 3.8.
  * Fixed behavior for sub table declaration with intermediate tables.
  * Fixed behavior of setdefault() on containers (Thanks to @AndyKluger).
  * Fixed tables string representation.
* Fri Mar  1 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.5.3
